Bug 37279 - Installer failed to upgrade rpm from 4.0-4 to 4.0.2, attempting same upgrade after install segfaults
Installer failed to upgrade rpm from 4.0-4 to 4.0.2, attempting same upgrade ...
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-04-23 19:16 EDT by Alex Cruise
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-23 19:16:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alex Cruise 2001-04-23 19:16:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

I installed RH7.1 yesterday, and after it had finished I noticed that rpm
4.0 was still installed, and that attempting to upgrade some packages
(including the rpm 4.0.2 that comes with RH 7.1, and the rpm 4.0.2-7x
packages from ftp.rpm.org) would segfault and coredump. 

Note that this system was originally installed as 6.2, then upgraded to
7.0, and I routinely install rawhide packages.  Before the 7.1 upgrade,
everything was working fine. 

glibc and db3, among many other packages, were upgraded correctly by the
installer, and the rpm database seems to be fine.

It seems that any attempt to upgrade a package which is already installed
results in the segfault.  If I remove and reinstall any package, it works
fine.  Obviously I can't remove and reinstall the 'rpm' package without
rebuilding it, and I'm very concerned about not losing my rpm database.

Reproducible: Always
Steps to Reproduce:
1. cd to /RedHat/RPMS for RH 7.1
2. rpm -Uvh rpm-4.0.2-8.i386.rpm (a few seconds of disk thrashing ensue)

Actual Results:  Segmentation fault (core dumped)

No core file is actually produced in any expected location.

Expected Results:  rpm should upgrade itself!
Comment 1 Jeff Johnson 2001-04-24 09:58:55 EDT
Yup. Dunno why the installer didn't upgrade rpm, that's a different problem.

Meanwhile, you will need to upgrade to rpm-4.0.2 to fix the segfaults.
	1) Get a copy of the 5 rpm packages in /var/tmp/xxx
	2) Use rpm2cpio to extract a rpm executable
		cd /var/tmp/xxx
		rpm2cpio rpm-4* | cpio -dim
	3) Use the extracted executable to install the rpm packages
		./bin/rpm -Uvv {rpm,popt}-*
Comment 2 Alex Cruise 2001-04-24 13:15:42 EDT
This procedure worked, thanks jbj!  I had already compiled rpm-4.0.2 from 
source, but was a bit trepidatious.

Note You need to log in before you can comment on or make changes to this bug.